import request from '@/utils/request'

// 查询政策指南列表
export function listGuide(query) {
  return request({
    url: '/system/guide/list',
    method: 'get',
    params: query
  })
}

// 查询政策指南详细
export function getGuide(policyId) {
  return request({
    url: '/system/guide/' + policyId,
    method: 'get'
  })
}

// 新增政策指南
export function addGuide(data) {
  return request({
    url: '/system/guide',
    method: 'post',
    data: data
  })
}

// 修改政策指南
export function updateGuide(data) {
  return request({
    url: '/system/guide',
    method: 'put',
    data: data
  })
}

// 删除政策指南
export function delGuide(policyId) {
  return request({
    url: '/system/guide/' + policyId,
    method: 'delete'
  })
}
